com.trilead.ssh2.packets

## Class PacketUserauthRequestInteractive

- java.lang.Object
- - com.trilead.ssh2.packets.PacketUserauthRequestInteractive

    public class PacketUserauthRequestInteractive
    extends java.lang.Object

PacketUserauthRequestInteractive.

### Constructor Summary

Constructors
Constructor and Description
`PacketUserauthRequestInteractive(java.lang.String serviceName, java.lang.String user, java.lang.String[] submethods)`

### Method Summary

Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketUserauthRequestInteractive

    public PacketUserauthRequestInteractive(java.lang.String serviceName,
                                    java.lang.String user,
                                    java.lang.String[] submethods)

### Method Detail

#### getPayload

    public byte[] getPayload()